import greenfoot.*;

public class Portal extends Actor
{
    static int wide = 40;
    
    public Portal()
    {
        GreenfootImage img = new GreenfootImage(Scene.width, Scene.height);
        GreenfootImage border = new GreenfootImage(Scene.width, wide);
        border.setColor(Color.GRAY);
        border.fill();
        img.drawImage(border, 0, 0);
        img.drawImage(border, 0, Scene.height-wide);
        img.setColor(Color.YELLOW);
        img.drawString("UP: raises eye", Scene.width/3-80, 15);
        img.drawString("DN: lowers eye", Scene.width/3-80, 35);
        img.drawString("LT: moves eye left", 2*Scene.width/3, 15);
        img.drawString("RT: moves eye right", 2*Scene.width/3, 35);
        img.drawString("w: moves eye forward", Scene.width/3-80, Scene.height-25);
        img.drawString("s: moves eye backward", Scene.width/3-80, Scene.height-5);
        img.drawString("a: turns eye left", 2*Scene.width/3, Scene.height-25);
        img.drawString("d: turns eye right", 2*Scene.width/3, Scene.height-5);
        setImage(img);
    }
}