import greenfoot.*;

public class Scene extends World
{
    static int width = 900;
    static int height = 400;
    
    public Scene()
    {    
        super(width, height, 1, false);
        setPaintOrder(Portal.class);
        addObject(new Portal(), width/2, height/2);
        ThreeD.actors.removeAll(ThreeD.actors);
        for (int i=0; i<25; i++)
        {
            addObject(new Tree(Greenfoot.getRandomNumber(width-100)-width/2,
                               Greenfoot.getRandomNumber(10)-5,
                               Greenfoot.getRandomNumber(200)+300,
                               100, 100), 0, 0);
        }
        ThreeD.fixLocations(this);
    }
    
    public void act()
    {
        int adjX = 0, adjY = 0, adjZ = 0, adjE = 0;
        if (Greenfoot.isKeyDown("up")) adjY += 1;
        if (Greenfoot.isKeyDown("down")) adjY -= 1;
        if (Greenfoot.isKeyDown("left")) adjX += 1;
        if (Greenfoot.isKeyDown("right")) adjX -= 1;
        if (Greenfoot.isKeyDown("w")) adjZ -= 1;
        if (Greenfoot.isKeyDown("s")) adjZ += 1;
        String key = Greenfoot.getKey();
        if ("a".equals(key)) ThreeD.turnEye(this, 1);
        if ("d".equals(key)) ThreeD.turnEye(this, -1);
        ThreeD.moveEye(this, adjX, adjY, adjZ);
        ThreeD.fixLocations(this);
    }
}